> ## Documentation Index
> Fetch the complete documentation index at: https://docs.arc.cdata.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 証明書の取得

> 指定したクエリパラメータに一致するレコードを certificates エンティティから返します。パラメータを指定しない場合は、すべてのレコードが返されます。



## OpenAPI

````yaml 26.3/self-hosted/ja/api-reference/openapi.json GET /certificates
openapi: 3.0.1
info:
  title: RSSBus OpenAPI
  version: 26.1.9515.0
servers:
  - url: '{baseUrl}'
    variables:
      baseUrl:
        default: https://arc.example.com/api.rsc
        description: >-
          Arc インスタンスのベース URL
          です。スキームとアプリケーションパスを含みます（例：https://arc.example.com/api.rsc）。
security: []
paths:
  /certificates:
    get:
      tags:
        - certificates
      summary: 証明書の取得
      description: >-
        指定したクエリパラメータに一致するレコードを certificates
        エンティティから返します。パラメータを指定しない場合は、すべてのレコードが返されます。
      operationId: getAllcertificates
      parameters:
        - name: $select
          in: query
          schema:
            type: string
          description: 結果に含めるプロパティのカンマ区切りリストです。このフィールドを空のままにすると、すべてのプロパティが返されます。
        - name: $orderby
          in: query
          schema:
            type: string
          description: このプロパティで結果を昇順または降順に並べ替えます。昇順の例：'Name ASC' 降順の例：'Name DESC'
        - name: $top
          in: query
          schema:
            type: integer
          description: 返す結果の件数です。
        - name: $skip
          in: query
          schema:
            type: integer
          description: 結果を返す際にスキップする結果のオフセットです。
        - name: $count
          in: query
          schema:
            type: boolean
          description: 設定すると、実際の結果ではなく結果の件数が返されます。
        - name: $filter
          in: query
          schema:
            type: string
          description: >-
            特定のプロパティ値で結果をフィルタリングするために使用します。たとえば、名前が 'John'
            のレコードを取得するには、次のフィルタを使用できます：$filter=Name eq 'John'
      responses:
        '200':
          description: certificates レスポンス
          content:
            application/json:
              schema:
                type: object
                properties:
                  value:
                    type: array
                    items:
                      $ref: '#/components/schemas/certificates'
        default:
          description: 予期しないエラー
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CDataError'
      security:
        - authtoken_header: []
        - basic: []
        - authtoken_query: []
components:
  schemas:
    certificates:
      type: object
      properties:
        Name:
          description: 証明書ファイルの名前。
          type: string
        Data:
          description: 証明書ファイルのbase64エンコードされたコンテンツ。
          type: string
        StoreType:
          description: ストアの種類。
          type: string
        Subject:
          description: 証明書のサブジェクト。
          type: string
        Issuer:
          description: 証明書の発行者。
          type: string
        IssuedTo:
          description: 証明書サブジェクトのコモンネーム。
          type: string
        IssuedBy:
          description: 証明書発行者のコモンネーム。
          type: string
        EffectiveDate:
          description: 証明書の有効開始日。
          type: string
        ExpirationDate:
          description: 証明書の有効期限。
          type: string
        ExpirationDays:
          description: 証明書の有効期限までの日数。
          type: integer
          format: int32
        Serialnumber:
          description: 証明書のシリアル番号。
          type: string
        Thumbprint:
          description: 証明書のSHA1拇印。
          type: string
        Keysize:
          description: 証明書のキーサイズ。
          type: string
        SignatureAlgorithm:
          description: 証明書の署名に使用されるアルゴリズム。
          type: string
        ConnectorIds:
          description: 証明書を使用するように設定されたコネクタの Id リスト。
          type: string
        AssociatedResource:
          description: 証明書を使用するように設定されたコネクタ、プロファイル、および共有接続のリスト。
          type: string
        Category:
          description: 証明書のカテゴリ（Public または Private）。
          type: string
      required:
        - Name
    CDataError:
      type: object
      properties:
        error:
          $ref: '#/components/schemas/CDataInError'
    CDataInError:
      type: object
      properties:
        code:
          type: string
        message:
          type: string
  securitySchemes:
    authtoken_header:
      type: apiKey
      in: header
      name: x-cdata-authtoken
    basic:
      scheme: basic
      type: http
    authtoken_query:
      type: apiKey
      in: query
      name: '@authtoken'

````